#! /usr/bin/env python
# coding: utf-8

import argparse
import importlib

# check third-party packages

for name in ['numpy', 'netCDF4', 'cartopy', 'shapely']:
    try:
        importlib.import_module(name)
    except ImportError:
        print('Missing third-party package `%s`.' % name)
        sys.exit(1)


def main():
    parser = argparse.ArgumentParser(description='Create Level-2 data')
    parser.add_argument('input', metavar='input', type=str, nargs='+', help='filenames with orbits')
    parser.add_argument('output', metavar='output', type=str, nargs=1, help='output path')

    parser.add_argument('--cosmo2d_path', type=str, nargs=1, help='path to COSMO 2D files')
    parser.add_argument('--tracers', type=str, nargs='+', help='list of tracers that will be included')

    args = parser.parse_args()

    for fn in args.input:
        print(fn)


    # prompt user details (or use args)
    # - username 
    # - email
    # - affiliation




# arguments
# - orbit filename
# - COSMO 2D file
# - tracer(s)
#
# - modify orbit: shift time, shift long_eq, etc.
#


if __name__ == '__main__':
    main()























